Attribute handling methods (object scope)

## Functions

void | flext_base::AddAttrib (const t_symbol *attr, bool(*get)(flext_base *, float &), bool(*set)(flext_base *, float &))
void | flext_base::AddAttrib (const t_symbol *attr, bool(*get)(flext_base *, int &), bool(*set)(flext_base *, int &))
void | flext_base::AddAttrib (const t_symbol *attr, bool(*get)(flext_base *, bool &), bool(*set)(flext_base *, bool &))
void | flext_base::AddAttrib (const t_symbol *attr, bool(*get)(flext_base *, const t_symbol *&), bool(*set)(flext_base *, const t_symbol *&))
void | flext_base::AddAttrib (const t_symbol *attr, bool(*get)(flext_base *, t_symptr &), bool(*set)(flext_base *, t_symptr &))
void | flext_base::AddAttrib (const t_symbol *attr, bool(*get)(flext_base *, AtomList *&), bool(*set)(flext_base *, AtomList *&))
void | flext_base::AddAttrib (const t_symbol *attr, bool(*get)(flext_base *, AtomAnything *&), bool(*set)(flext_base *, AtomAnything *&))
void | flext_base::AddAttrib (const char *attr, bool(*get)(flext_base *, float &), bool(*set)(flext_base *, float &))
void | flext_base::AddAttrib (const char *attr, bool(*get)(flext_base *, int &), bool(*set)(flext_base *, int &))
void | flext_base::AddAttrib (const char *attr, bool(*get)(flext_base *, bool &), bool(*set)(flext_base *, bool &))
void | flext_base::AddAttrib (const char *attr, bool(*get)(flext_base *, const t_symbol *&), bool(*set)(flext_base *, const t_symbol *&))
void | flext_base::AddAttrib (const char *attr, bool(*get)(flext_base *, t_symptr &), bool(*set)(flext_base *, t_symptr &))
void | flext_base::AddAttrib (const char *attr, bool(*get)(flext_base *, AtomList *&), bool(*set)(flext_base *, AtomList *&))
void | flext_base::AddAttrib (const char *attr, bool(*get)(flext_base *, AtomAnything *&), bool(*set)(flext_base *, AtomAnything *&))

## Detailed Description

## Function Documentation

## AddAttrib() [1/14]

void flext_base::AddAttrib | ( | const char * | attr,
|  | bool(*)(flext_base *, AtomAnything *&) | get,
|  | bool(*)(flext_base *, AtomAnything *&) | set
| ) |  |

inline protected

## AddAttrib() [2/14]

void flext_base::AddAttrib | ( | const char * | attr,
|  | bool(*)(flext_base *, AtomList *&) | get,
|  | bool(*)(flext_base *, AtomList *&) | set
| ) |  |

inline protected

## AddAttrib() [3/14]

void flext_base::AddAttrib | ( | const char * | attr,
|  | bool(*)(flext_base *, bool &) | get,
|  | bool(*)(flext_base *, bool &) | set
| ) |  |

inline protected

## AddAttrib() [4/14]

void flext_base::AddAttrib | ( | const char * | attr,
|  | bool(*)(flext_base *, const t_symbol *&) | get,
|  | bool(*)(flext_base *, const t_symbol *&) | set
| ) |  |

inline protected

## AddAttrib() [5/14]

void flext_base::AddAttrib | ( | const char * | attr,
|  | bool(*)(flext_base *, float &) | get,
|  | bool(*)(flext_base *, float &) | set
| ) |  |

inline protected

## AddAttrib() [6/14]

void flext_base::AddAttrib | ( | const char * | attr,
|  | bool(*)(flext_base *, int &) | get,
|  | bool(*)(flext_base *, int &) | set
| ) |  |

inline protected

## AddAttrib() [7/14]

void flext_base::AddAttrib | ( | const char * | attr,
|  | bool(*)(flext_base *, t_symptr &) | get,
|  | bool(*)(flext_base *, t_symptr &) | set
| ) |  |

inline protected

## AddAttrib() [8/14]

void flext_base::AddAttrib | ( | const t_symbol * | attr,
|  | bool(*)(flext_base *, AtomAnything *&) | get,
|  | bool(*)(flext_base *, AtomAnything *&) | set
| ) |  |

inline protected

## AddAttrib() [9/14]

void flext_base::AddAttrib | ( | const t_symbol * | attr,
|  | bool(*)(flext_base *, AtomList *&) | get,
|  | bool(*)(flext_base *, AtomList *&) | set
| ) |  |

inline protected

## AddAttrib() [10/14]

void flext_base::AddAttrib | ( | const t_symbol * | attr,
|  | bool(*)(flext_base *, bool &) | get,
|  | bool(*)(flext_base *, bool &) | set
| ) |  |

inline protected

## AddAttrib() [11/14]

void flext_base::AddAttrib | ( | const t_symbol * | attr,
|  | bool(*)(flext_base *, const t_symbol *&) | get,
|  | bool(*)(flext_base *, const t_symbol *&) | set
| ) |  |

inline protected

## AddAttrib() [12/14]

void flext_base::AddAttrib | ( | const t_symbol * | attr,
|  | bool(*)(flext_base *, float &) | get,
|  | bool(*)(flext_base *, float &) | set
| ) |  |

inline protected

## AddAttrib() [13/14]

void flext_base::AddAttrib | ( | const t_symbol * | attr,
|  | bool(*)(flext_base *, int &) | get,
|  | bool(*)(flext_base *, int &) | set
| ) |  |

inline protected

## AddAttrib() [14/14]

void flext_base::AddAttrib | ( | const t_symbol * | attr,
|  | bool(*)(flext_base *, t_symptr &) | get,
|  | bool(*)(flext_base *, t_symptr &) | set
| ) |  |

inline protected